VismaBouwsoftAPICalls.v1_PUT_QuantityCalculation Method
v1_PUT_QuantityCalculation() as String

This API call is used to update fields of a(n) QuantityCalculation

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /QuantityCalculation/{id}

You make this API call with the key field id as the path parameter (the id of the QuantityCalculation you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
quantitycalculation_id 1 tpLong 0 No No No
quantitycalculationline_id 1 tpLong 0 No No No
parent_type 2 tpString 0 No Yes No
parent_id 1 tpLong 0 No No No
parent_fieldnr 1 tpLong 0 No No No
formula 2 tpString 0 No Yes No
enabled 5 tpBool 0 No Yes No
line_linenr 1 tpLong 0 No No No
line_description 2 tpString 0 No Yes No
line_q0 4 tpDouble 0 No Yes No
line_q1 4 tpDouble 0 No Yes No
line_q2 4 tpDouble 0 No Yes No
line_q3 4 tpDouble 0 No Yes No
line_vf 4 tpDouble 0 No Yes No
line_a 4 tpDouble 0 No Yes No
line_b 4 tpDouble 0 No Yes No
line_total 4 tpDouble 0 No No No
line_altunit_m 4 tpDouble 0 No Yes No
line_altunit_m2 4 tpDouble 0 No Yes No
line_altunit_m3 4 tpDouble 0 No Yes No
line_altunit_bm2 4 tpDouble 0 No Yes No
line_altunit_kg 4 tpDouble 0 No Yes No
line_info_length 4 tpDouble 0 No Yes No
line_info_width 4 tpDouble 0 No Yes No
line_info_height 4 tpDouble 0 No Yes No
line_info_thickness 4 tpDouble 0 No Yes No
line_info_nrofdoors 1 tpLong 0 No Yes No
line_info_nrofwindows 1 tpLong 0 No Yes No
line_info_zone 2 tpString 0 No Yes No
line_info_floor 2 tpString 0 No Yes No
line_info_flat 2 tpString 0 No Yes No
line_info_room 2 tpString 0 No Yes No
ts_lastupdate 6 tpDateNullString 0 No No No

/QuantityCalculation/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/QuantityCalculation/70126

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: mVUfWxfmjPzSfbfjPfzRqVmIfAtmGfkGftmbzAfDUGbfAffAUk

Query Parameters :
ParameterName: columns, ParameterValue: line_a = 1

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 70126,
    "line_a": 1,
    "line_total": 24.199999999999999,
    "ts_lastupdate": "2026–05–07 09:22:11"
  }
]
}